Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1289717 (viennacl)

Summary: Review Request: viennacl - Linear algebra and solver library using CUDA, OpenCL, and OpenMP
Product: [Fedora] Fedora Reporter: Ilia Gradina <ilya.gradina>
Component: Package ReviewAssignee: Igor Gnatenko <ignatenko>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: gwync, ilya.gradina, manisandro, package-review, zbyszek
Target Milestone: ---Flags: ignatenko: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-15 23:30:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1276941    

Description Ilia Gradina 2015-12-08 19:14:15 UTC
Spec URL: https://github.com/neurofedora/ViennaCL/raw/master/viennacl.spec
SRPM URL: https://github.com/neurofedora/ViennaCL/raw/master/viennacl-1.7.0-1.fc24.src.rpm
Description: Linear algebra and solver library using CUDA, OpenCL, and OpenMP
Fedora Account System Username: ilgrad

Comment 1 Igor Gnatenko 2015-12-09 07:18:14 UTC
Because I am owner of whole OpenCL stack - I will review this.

Comment 2 Igor Gnatenko 2015-12-12 13:48:54 UTC
> Group:         Development/Libraries
not needed

> ctest -VV ||:
Ignoring tests without informing upstream and without any comments is very bad.\

>-DBUILD_EXAMPLES=ON \
but you are not including examples... Please add new doc subpackage and include examples and some documentation.

> [brain@x1carbon ViennaCL-1.7.0]$ find ./CL/
./CL/
./CL/cl.hpp
./CL/cl_platform.h
./CL/cl_gl_ext.h
./CL/cl_gl.h
./CL/opencl.h
./CL/cl.h
./CL/cl_ext.h
./CL/cl_d3d10.h

You MUST remove bundled opencl-headers.

Looks like you also need to install pocl into buildroot... 

Not approved.

Comment 4 Zbigniew Jędrzejewski-Szmek 2016-01-08 18:00:44 UTC
Please put BuildRequires (and other tags) with one package per line. This makes things much easier to read (and diffs look better too).

Package looks good, but it seems that it doesn't make sense to release without the fixes queued for 1.7.1.

Comment 6 Gwyn Ciesla 2016-01-28 14:56:59 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/viennacl

Comment 7 Gwyn Ciesla 2016-08-08 13:51:49 UTC
Retired, untagged all builds, review not approved.

Comment 8 Zbigniew Jędrzejewski-Szmek 2016-08-08 15:11:56 UTC
Ilya, what happened here? Do you still plan to package this?

Comment 9 Ilia Gradina 2016-08-20 22:12:02 UTC
Hi Zbigniew,

It was my mistake. How can I regain package on:
************
https://admin.fedoraproject.org/pkgdb/package/rpms/viennacl/
************

Comment 10 Zbigniew Jędrzejewski-Szmek 2016-08-20 22:13:58 UTC
I just needs to go through review.

Comment 11 Ilia Gradina 2016-08-20 22:23:06 UTC
I realized  is necessary to make a new review?

Now I have it:
*******
fedpkg clone viennacl && cd viennacl && ls --> dead.package
*******

Comment 12 Zbigniew Jędrzejewski-Szmek 2016-08-20 22:33:16 UTC
The review sets the review? flag.

(In reply to Ilya Gradina from comment #11)
> I realized  is necessary to make a new review?
No, just this one needs to be finished. I'll do it, unless Igor wants to do it.

> Now I have it:
> *******
> fedpkg clone viennacl && cd viennacl && ls --> dead.package
> *******
Yeah, you'll have to file a ticket to get the package unretired.

Comment 13 Ilia Gradina 2016-08-20 22:46:00 UTC
Sorry, I do not know how me  file a ticket to get the package unretired.

Comment 14 Zbigniew Jędrzejewski-Szmek 2016-08-20 23:53:45 UTC
> Request unretirement in Package Database by selecting the package and clicking 
> "Ask unretirement" button. Specify all branches that need to be un-retired 
> (inlcuding "master" for Rawhide, unless it is for EPEL only) and include the 
> link to re-review. 

from https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers#Claiming_Ownership_of_a_Retired_Package

Comment 15 Zbigniew Jędrzejewski-Szmek 2016-08-20 23:54:17 UTC
Igor, do you want to finish the review?

Comment 16 Igor Gnatenko 2016-08-21 05:54:35 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #15)
> Igor, do you want to finish the review?

Yes, I will do review in Monday.

quick notes: remove magic numbers.

Comment 17 Igor Gnatenko 2016-11-24 06:52:46 UTC
* Don't build examples as you don't really package it (you can put source code of them in -devel subpackage if it's not huge amount of data) and remove examples subpackage
* Remove all magic numbers and if you need to exclude some test, write link to upstream bugreport
* Own %dir %{_datadir}/cmake
* Not sure if ./viennacl/tools/sha1.hpp used during compilation, if yes, then License should look like "MIT and ISC"
* drop bundled opencl headers and use system ones from opencl-headers

Comment 18 Igor Gnatenko 2016-11-24 06:53:15 UTC
(In reply to Igor Gnatenko from comment #17)
> * drop bundled opencl headers and use system ones from opencl-headers
Ignore this one, it's already done.

Comment 19 Ilia Gradina 2016-11-29 21:12:57 UTC
(In reply to Igor Gnatenko from comment #17)
> * Don't build examples as you don't really package it (you can put source
> code of them in -devel subpackage if it's not huge amount of data) and
> remove examples subpackage
> * Remove all magic numbers and if you need to exclude some test, write link
> to upstream bugreport
> * Own %dir %{_datadir}/cmake
> * Not sure if ./viennacl/tools/sha1.hpp used during compilation, if yes,
> then License should look like "MIT and ISC"
> * drop bundled opencl headers and use system ones from opencl-headers

Hi Igor,

thx!

new spec: https://github.com/neurofedora/ViennaCL/raw/master/viennacl.spec
new srpm: https://github.com/neurofedora/ViennaCL/raw/master/viennacl-1.7.1-2.fc26.src.rpm

Comment 20 Ilia Gradina 2016-12-01 21:48:54 UTC
new spec: https://github.com/neurofedora/ViennaCL/raw/master/viennacl.spec
new srpm: https://github.com/neurofedora/ViennaCL/raw/master/viennacl-1.7.1-3.fc26.src.rpm

- fix license
- fix path cmake
- fix tests

Comment 21 Fedora Update System 2016-12-05 22:50:32 UTC
viennacl-1.7.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b231f2b6d4

Comment 22 Fedora Update System 2016-12-05 22:50:40 UTC
viennacl-1.7.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8fe5ca8d90

Comment 23 Sandro Mani 2016-12-05 22:55:38 UTC
@Ilya Please build for rawhide also

Comment 24 Fedora Update System 2016-12-06 23:58:05 UTC
viennacl-1.7.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b231f2b6d4

Comment 25 Fedora Update System 2016-12-06 23:58:26 UTC
viennacl-1.7.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8fe5ca8d90

Comment 26 Fedora Update System 2016-12-08 04:51:23 UTC
viennacl-1.7.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8fe5ca8d90

Comment 27 Fedora Update System 2016-12-08 04:54:47 UTC
viennacl-1.7.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b231f2b6d4

Comment 28 Ilia Gradina 2016-12-08 22:01:45 UTC
(In reply to Sandro Mani from comment #23)
> @Ilya Please build for rawhide also

sorry but I can not yet.
https://pagure.io/releng/issue/6555

Comment 29 Fedora Update System 2016-12-15 23:30:21 UTC
viennacl-1.7.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2016-12-16 00:25:33 UTC
viennacl-1.7.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2016-12-16 03:53:11 UTC
viennacl-1.7.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.